Bug 27445 - OPAC header tweaks for non-JavaScript users
Summary: OPAC header tweaks for non-JavaScript users
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 28662
  Show dependency treegraph
 
Reported: 2021-01-15 19:38 UTC by Owen Leonard
Modified: 2021-07-16 13:34 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
21.11.00


Attachments
Bug 27445: OPAC header tweaks for non-JavaScript users (4.04 KB, patch)
2021-01-15 20:04 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27445: OPAC header tweaks for non-JavaScript users (4.09 KB, patch)
2021-05-11 16:15 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 27445: OPAC header tweaks for non-JavaScript users (4.15 KB, patch)
2021-07-03 21:02 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2021-01-15 19:38:37 UTC
If you're using the OPAC with JavaScript disabled, the "Cart" link should not appear. The lists and user/login link should be styled as links since they don't trigger menus when JS is off.
Comment 1 Owen Leonard 2021-01-15 20:04:53 UTC
Created attachment 115212 [details] [review]
Bug 27445: OPAC header tweaks for non-JavaScript users

This patch makes some minor changes to the header menu in the OPAC
visible only to users with JavaScript support.

To test, apply the patch and rebuild the OPAC CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

 - View the OPAC with JS disabled in your browser.
 - The "Cart" button should not be visible.
 - The "List," "Log in," and "Search history" links should be styled
   blue like other links.
 - Log in to the OPAC and confirm that the "Welcome <name>" link is also
   styled like other links.
 - Enable JavaScript and verify that the links appear and function just
   as they did before the patch.
Comment 2 Lucas Gass 2021-05-11 16:15:58 UTC
Created attachment 120848 [details] [review]
Bug 27445: OPAC header tweaks for non-JavaScript users

This patch makes some minor changes to the header menu in the OPAC
visible only to users with JavaScript support.

To test, apply the patch and rebuild the OPAC CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

 - View the OPAC with JS disabled in your browser.
 - The "Cart" button should not be visible.
 - The "List," "Log in," and "Search history" links should be styled
   blue like other links.
 - Log in to the OPAC and confirm that the "Welcome <name>" link is also
   styled like other links.
 - Enable JavaScript and verify that the links appear and function just
   as they did before the patch.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 3 Katrin Fischer 2021-07-03 21:02:01 UTC
I believe this is a clear improvement to "without the patch", but I was not able to log out without JavaScript, so have filed a new bug report: bug 28662
Comment 4 Katrin Fischer 2021-07-03 21:02:55 UTC
Created attachment 122579 [details] [review]
Bug 27445: OPAC header tweaks for non-JavaScript users

This patch makes some minor changes to the header menu in the OPAC
visible only to users with JavaScript support.

To test, apply the patch and rebuild the OPAC CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

 - View the OPAC with JS disabled in your browser.
 - The "Cart" button should not be visible.
 - The "List," "Log in," and "Search history" links should be styled
   blue like other links.
 - Log in to the OPAC and confirm that the "Welcome <name>" link is also
   styled like other links.
 - Enable JavaScript and verify that the links appear and function just
   as they did before the patch.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Jonathan Druart 2021-07-12 13:48:47 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 6 Kyle M Hall 2021-07-16 13:34:24 UTC
Not pushed for 21.05